import SR6CritterBaseActorData from './critter-base-actor-data.mjs';

export default class SR6SpiritActorData extends SR6CritterBaseActorData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            metatype:   new fields.StringField({ initial: "Spirit" }),
            rating:     new fields.NumberField({ initial: 1 }),
            spiritType: new fields.StringField({ initial: "air" })
        };
    }
}
